__gnu_profile Namespace Reference

## Classes

class | __container_size_info
class | __container_size_stack_info
class | __hashfunc_info
class | __hashfunc_stack_info
class | __list2vector_info
class | __map2umap_info
class | __map2umap_stack_info
class | __object_info_base
struct | __reentrance_guard
class | __stack_hash
class | __trace_base
class | __trace_container_size
class | __trace_hash_func
class | __trace_hashtable_size
class | __trace_map2umap
class | __trace_vector_size
class | __trace_vector_to_list
class | __vector2list_info
class | __vector2list_stack_info
struct | __warning_data

## Typedefs

typedef std::::vector< __cost_factor * > | __cost_factor_vector
typedef std::::unordered_map< std::string, std::string > | __env_t
typedef void * | __instruction_address_t
typedef std::::vector< __instruction_address_t > | __stack_npt
typedef __stack_npt * | __stack_t
typedef std::::vector< __warning_data > | __warning_vector_t

## Enumerations

enum | __state_type { __ON , __OFF , __INVALID }

## Functions

std::size_t | __env_to_size_t (const char *__env_var, std::size_t __default_value)
template<typename _InputIterator , typename _Function >
_Function | __for_each (_InputIterator __first, _InputIterator __last, _Function __f)
__cost_factor_vector *& | __get___cost_factors ()
__env_t & | __get___env ()
__gnu_cxx::__mutex & | __get___global_mutex ()
__cost_factor & | __get___list_iterate_cost_factor ()
__cost_factor & | __get___list_resize_cost_factor ()
__cost_factor & | __get___list_shift_cost_factor ()
__cost_factor & | __get___map_erase_cost_factor ()
__cost_factor & | __get___map_find_cost_factor ()
__cost_factor & | __get___map_insert_cost_factor ()
__cost_factor & | __get___map_iterate_cost_factor ()
__cost_factor & | __get___umap_erase_cost_factor ()
__cost_factor & | __get___umap_find_cost_factor ()
__cost_factor & | __get___umap_insert_cost_factor ()
__cost_factor & | __get___umap_iterate_cost_factor ()
__cost_factor & | __get___vector_iterate_cost_factor ()
__cost_factor & | __get___vector_resize_cost_factor ()
__cost_factor & | __get___vector_shift_cost_factor ()
__trace_hash_func *& | __get__S_hash_func ()
__trace_hashtable_size *& | __get__S_hashtable_size ()
__trace_list_to_slist *& | __get__S_list_to_slist ()
__trace_list_to_vector *& | __get__S_list_to_vector ()
__trace_map2umap *& | __get__S_map2umap ()
std::size_t & | __get__S_max_mem ()
std::size_t & | __get__S_max_stack_depth ()
std::size_t & | __get__S_max_warn_count ()
const char *& | __get__S_trace_file_name ()
__trace_vector_size *& | __get__S_vector_size ()
__trace_vector_to_list *& | __get__S_vector_to_list ()
__stack_t | __get_stack ()
template<typename _Container >
void | __insert_top_n (_Container &__output, const typename _Container::value_type &__value, typename _Container::size_type __n)
bool | __is_invalid ()
bool | __is_off ()
bool | __is_on ()
int | __log2 (std::size_t __size)
int | __log_magnitude (float __f)
float | __map_erase_cost (std::size_t __size)
float | __map_find_cost (std::size_t __size)
float | __map_insert_cost (std::size_t __size)
std::size_t | __max_mem ()
FILE * | __open_output_file (const char *__extension)
bool | __profcxx_init ()
void | __profcxx_init_unconditional ()
void | __read_cost_factors ()
template<typename _ForwardIterator , typename _Tp >
_ForwardIterator | __remove (_ForwardIterator __first, _ForwardIterator __last, const _Tp &__value)
void | __report ()
void | __report_and_free ()
void | __set_cost_factors ()
void | __set_max_mem ()
void | __set_max_stack_trace_depth ()
void | __set_max_warn_count ()
void | __set_trace_path ()
std::size_t | __size (__stack_t __stack)
std::size_t | __stack_max_depth ()
template<typename _Container >
void | __top_n (const _Container &__input, _Container &__output, typename _Container::size_type __n)
__hashfunc_info * | __trace_hash_func_construct ()
void | __trace_hash_func_destruct (__hashfunc_info *, std::size_t, std::size_t, std::size_t)
void | __trace_hash_func_free ()
void | __trace_hash_func_init ()
void | __trace_hash_func_report (FILE *__f, __warning_vector_t &__warnings)
__container_size_info * | __trace_hashtable_size_construct (std::size_t)
void | __trace_hashtable_size_destruct (__container_size_info *, std::size_t, std::size_t)
void | __trace_hashtable_size_free ()
void | __trace_hashtable_size_init ()
void | __trace_hashtable_size_report (FILE *__f, __warning_vector_t &__warnings)
void | __trace_hashtable_size_resize (__container_size_info *, std::size_t, std::size_t)
__list2slist_info * | __trace_list_to_slist_construct ()
void | __trace_list_to_slist_destruct (__list2slist_info *)
void | __trace_list_to_slist_free ()
void | __trace_list_to_slist_init ()
void | __trace_list_to_slist_operation (__list2slist_info *)
void | __trace_list_to_slist_report (FILE *__f, __warning_vector_t &__warnings)
void | __trace_list_to_slist_rewind (__list2slist_info *)
__list2vector_info * | __trace_list_to_vector_construct ()
void | __trace_list_to_vector_destruct (__list2vector_info *)
void | __trace_list_to_vector_free ()
void | __trace_list_to_vector_init ()
void | __trace_list_to_vector_insert (__list2vector_info *, std::size_t, std::size_t)
void | __trace_list_to_vector_invalid_operator (__list2vector_info *)
void | __trace_list_to_vector_iterate (__list2vector_info *, int)
void | __trace_list_to_vector_report (FILE *__f, __warning_vector_t &__warnings)
void | __trace_list_to_vector_resize (__list2vector_info *, std::size_t, std::size_t)
__map2umap_info * | __trace_map_to_unordered_map_construct ()
void | __trace_map_to_unordered_map_destruct (__map2umap_info *)
void | __trace_map_to_unordered_map_erase (__map2umap_info *, std::size_t, std::size_t)
void | __trace_map_to_unordered_map_find (__map2umap_info *, std::size_t)
void | __trace_map_to_unordered_map_free ()
void | __trace_map_to_unordered_map_init ()
void | __trace_map_to_unordered_map_insert (__map2umap_info *, std::size_t, std::size_t)
void | __trace_map_to_unordered_map_invalidate (__map2umap_info *)
void | __trace_map_to_unordered_map_iterate (__map2umap_info *, std::size_t)
void | __trace_map_to_unordered_map_iterate (__map2umap_info *__info, int)
void | __trace_map_to_unordered_map_report (FILE *__f, __warning_vector_t &__warnings)
template<typename __object_info , typename __stack_info >
void | __trace_report (__trace_base< __object_info, __stack_info > *__cont, FILE *__f, __warning_vector_t &__warnings)
__container_size_info * | __trace_vector_size_construct (std::size_t)
void | __trace_vector_size_destruct (__container_size_info *, std::size_t, std::size_t)
void | __trace_vector_size_free ()
void | __trace_vector_size_init ()
void | __trace_vector_size_report (FILE *, __warning_vector_t &)
void | __trace_vector_size_resize (__container_size_info *, std::size_t, std::size_t)
__vector2list_info * | __trace_vector_to_list_construct ()
void | __trace_vector_to_list_destruct (__vector2list_info *)
void | __trace_vector_to_list_free ()
void | __trace_vector_to_list_init ()
void | __trace_vector_to_list_insert (__vector2list_info *, std::size_t, std::size_t)
void | __trace_vector_to_list_invalid_operator (__vector2list_info *)
void | __trace_vector_to_list_iterate (__vector2list_info *, int)
void | __trace_vector_to_list_report (FILE *, __warning_vector_t &)
void | __trace_vector_to_list_resize (__vector2list_info *, std::size_t, std::size_t)
bool | __turn (__state_type __s)
bool | __turn_off ()
bool | __turn_on ()
void | __write (FILE *__f, __stack_t __stack)
void | __write_cost_factors ()
| _GLIBCXX_PROFILE_DEFINE_DATA (__state_type, __state, __INVALID)

## Detailed Description

GNU profile code for public use.

## Typedef Documentation

## __cost_factor_vector

typedef std::::vector<__cost_factor*> __gnu_profile::__cost_factor_vector

Definition at line 131 of file profiler_trace.h.

## __env_t

typedef std:: ::unordered_map<std::string, std::string> __gnu_profile::__env_t

Internal environment. Values can be set one of two ways: 1. In config file "var = value". The default config file path is libstdcxx-profile.conf. 2. By setting process environment variables. For instance, in a Bash shell you can set the unit cost of iterating through a map like this: export __map_iterate_cost_factor=5.0. If a value is set both in the input file and through an environment variable, the environment value takes precedence.

Definition at line 65 of file profiler_trace.h.

## __instruction_address_t

typedef void* __gnu_profile::__instruction_address_t

Definition at line 42 of file profiler_node.h.

## __stack_npt

typedef std::::vector<__instruction_address_t> __gnu_profile::__stack_npt

Definition at line 43 of file profiler_node.h.

## __stack_t

typedef __stack_npt* __gnu_profile::__stack_t

Definition at line 44 of file profiler_node.h.

## __warning_vector_t

typedef std::::vector<__warning_data> __gnu_profile::__warning_vector_t

Definition at line 93 of file profiler_trace.h.

## Enumeration Type Documentation

## __state_type

enum __gnu_profile::__state_type

Definition at line 35 of file profiler_state.h.

## Function Documentation

## __env_to_size_t()

std::size_t __gnu_profile::__env_to_size_t | ( | const char * | __env_var,
|  | std::size_t | __default_value
| ) |  |

inline

Definition at line 335 of file profiler_trace.h.

## __for_each()

template<typename _InputIterator , typename _Function >

_Function __gnu_profile::__for_each | ( | _InputIterator | __first,
|  | _InputIterator | __last,
|  | _Function | __f
| ) |  |

Definition at line 84 of file profiler_algos.h.

## __get___cost_factors()

__cost_factor_vector *& __gnu_profile::__get___cost_factors | ( |  | ) |

inline

Definition at line 169 of file profiler_trace.h.

## __get___env()

__env_t & __gnu_profile::__get___env | ( |  | ) |

inline

Definition at line 67 of file profiler_trace.h.

## __get___global_mutex()

__gnu_cxx::__mutex & __gnu_profile::__get___global_mutex | ( |  | ) |

inline

Master lock.

Definition at line 70 of file profiler_trace.h.

## __get___list_iterate_cost_factor()

__cost_factor & __gnu_profile::__get___list_iterate_cost_factor | ( |  | ) |

inline

Definition at line 150 of file profiler_trace.h.

## __get___list_resize_cost_factor()

__cost_factor & __gnu_profile::__get___list_resize_cost_factor | ( |  | ) |

inline

Definition at line 152 of file profiler_trace.h.

## __get___list_shift_cost_factor()

__cost_factor & __gnu_profile::__get___list_shift_cost_factor | ( |  | ) |

inline

Definition at line 148 of file profiler_trace.h.

## __get___map_erase_cost_factor()

__cost_factor & __gnu_profile::__get___map_erase_cost_factor | ( |  | ) |

inline

Definition at line 156 of file profiler_trace.h.

## __get___map_find_cost_factor()

__cost_factor & __gnu_profile::__get___map_find_cost_factor | ( |  | ) |

inline

Definition at line 158 of file profiler_trace.h.

## __get___map_insert_cost_factor()

__cost_factor & __gnu_profile::__get___map_insert_cost_factor | ( |  | ) |

inline

Definition at line 154 of file profiler_trace.h.

## __get___map_iterate_cost_factor()

__cost_factor & __gnu_profile::__get___map_iterate_cost_factor | ( |  | ) |

inline

Definition at line 160 of file profiler_trace.h.

## __get___umap_erase_cost_factor()

__cost_factor & __gnu_profile::__get___umap_erase_cost_factor | ( |  | ) |

inline

Definition at line 164 of file profiler_trace.h.

## __get___umap_find_cost_factor()

__cost_factor & __gnu_profile::__get___umap_find_cost_factor | ( |  | ) |

inline

Definition at line 166 of file profiler_trace.h.

## __get___umap_insert_cost_factor()

__cost_factor & __gnu_profile::__get___umap_insert_cost_factor | ( |  | ) |

inline

Definition at line 162 of file profiler_trace.h.

## __get___umap_iterate_cost_factor()

__cost_factor & __gnu_profile::__get___umap_iterate_cost_factor | ( |  | ) |

inline

Definition at line 168 of file profiler_trace.h.

## __get___vector_iterate_cost_factor()

__cost_factor & __gnu_profile::__get___vector_iterate_cost_factor | ( |  | ) |

inline

Definition at line 144 of file profiler_trace.h.

## __get___vector_resize_cost_factor()

__cost_factor & __gnu_profile::__get___vector_resize_cost_factor | ( |  | ) |

inline

Definition at line 146 of file profiler_trace.h.

## __get___vector_shift_cost_factor()

__cost_factor & __gnu_profile::__get___vector_shift_cost_factor | ( |  | ) |

inline

Definition at line 142 of file profiler_trace.h.

## __get__S_hash_func()

__trace_hash_func *& __gnu_profile::__get__S_hash_func | ( |  | ) |

inline

Definition at line 133 of file profiler_trace.h.

## __get__S_hashtable_size()

__trace_hashtable_size *& __gnu_profile::__get__S_hashtable_size | ( |  | ) |

inline

Definition at line 134 of file profiler_trace.h.

## __get__S_list_to_slist()

__trace_list_to_slist *& __gnu_profile::__get__S_list_to_slist | ( |  | ) |

inline

Definition at line 138 of file profiler_trace.h.

## __get__S_list_to_vector()

__trace_list_to_vector *& __gnu_profile::__get__S_list_to_vector | ( |  | ) |

inline

Definition at line 139 of file profiler_trace.h.

## __get__S_map2umap()

__trace_map2umap *& __gnu_profile::__get__S_map2umap | ( |  | ) |

inline

Definition at line 135 of file profiler_trace.h.

## __get__S_max_mem()

std::size_t & __gnu_profile::__get__S_max_mem | ( |  | ) |

inline

Definition at line 178 of file profiler_trace.h.

## __get__S_max_stack_depth()

std::size_t & __gnu_profile::__get__S_max_stack_depth | ( |  | ) |

inline

Definition at line 176 of file profiler_trace.h.

## __get__S_max_warn_count()

std::size_t & __gnu_profile::__get__S_max_warn_count | ( |  | ) |

inline

Definition at line 174 of file profiler_trace.h.

## __get__S_trace_file_name()

const char *& __gnu_profile::__get__S_trace_file_name | ( |  | ) |

inline

Definition at line 172 of file profiler_trace.h.

## __get__S_vector_size()

__trace_vector_size *& __gnu_profile::__get__S_vector_size | ( |  | ) |

inline

Definition at line 136 of file profiler_trace.h.

## __get__S_vector_to_list()

__trace_vector_to_list *& __gnu_profile::__get__S_vector_to_list | ( |  | ) |

inline

Definition at line 137 of file profiler_trace.h.

## __get_stack()

__stack_t __gnu_profile::__get_stack | ( |  | ) |

inline

Definition at line 49 of file profiler_node.h.

## __insert_top_n()

template<typename _Container >

void __gnu_profile::__insert_top_n | ( | _Container & | __output,
|  | const typename _Container::value_type & | __value,
|  | typename _Container::size_type | __n
| ) |  |

Definition at line 41 of file profiler_algos.h.

## __is_invalid()

bool __gnu_profile::__is_invalid | ( |  | ) |

inline

Definition at line 65 of file profiler_state.h.

## __is_off()

bool __gnu_profile::__is_off | ( |  | ) |

inline

Definition at line 61 of file profiler_state.h.

## __is_on()

bool __gnu_profile::__is_on | ( |  | ) |

inline

Definition at line 57 of file profiler_state.h.

## __log2()

int __gnu_profile::__log2 | ( | std::size_t | __size | ) |

inline

Definition at line 40 of file profiler_map_to_unordered_map.h.

## __log_magnitude()

int __gnu_profile::__log_magnitude | ( | float | __f | ) |

inline

Definition at line 373 of file profiler_trace.h.

## __map_erase_cost()

float __gnu_profile::__map_erase_cost | ( | std::size_t | __size | ) |

inline

Definition at line 55 of file profiler_map_to_unordered_map.h.

## __map_find_cost()

float __gnu_profile::__map_find_cost | ( | std::size_t | __size | ) |

inline

Definition at line 60 of file profiler_map_to_unordered_map.h.

## __map_insert_cost()

float __gnu_profile::__map_insert_cost | ( | std::size_t | __size | ) |

inline

Definition at line 50 of file profiler_map_to_unordered_map.h.

## __max_mem()

std::size_t __gnu_profile::__max_mem | ( |  | ) |

inline

Definition at line 185 of file profiler_trace.h.

## __open_output_file()

FILE * __gnu_profile::__open_output_file | ( | const char * | __extension | ) |

inline

Definition at line 394 of file profiler_trace.h.

## __profcxx_init()

bool __gnu_profile::__profcxx_init | ( |  | ) |

inline

This function must be called by each instrumentation point.

The common path is inlined fully.

Definition at line 653 of file profiler_trace.h.

## __profcxx_init_unconditional()

void __gnu_profile::__profcxx_init_unconditional | ( |  | ) |

inline

Definition at line 614 of file profiler_trace.h.

## __read_cost_factors()

void __gnu_profile::__read_cost_factors | ( |  | ) |

inline

Definition at line 514 of file profiler_trace.h.

## __remove()

template<typename _ForwardIterator , typename _Tp >

_ForwardIterator __gnu_profile::__remove | ( | _ForwardIterator | __first,
|  | _ForwardIterator | __last,
|  | const _Tp & | __value
| ) |  |

Definition at line 94 of file profiler_algos.h.

## __report()

void __gnu_profile::__report | ( |  | ) |

inline

Final report method, registered with atexit.

This can also be called directly by user code, including signal handlers. It is protected against deadlocks by the reentrance guard in profiler.h. However, when called from a signal handler that triggers while within __gnu_profile (under the guarded zone), no output will be produced.

Definition at line 448 of file profiler_trace.h.

References std::min().

## __report_and_free()

void __gnu_profile::__report_and_free | ( |  | ) |

inline

Definition at line 476 of file profiler_trace.h.

## __set_cost_factors()

void __gnu_profile::__set_cost_factors | ( |  | ) |

inline

Definition at line 592 of file profiler_trace.h.

## __set_max_mem()

void __gnu_profile::__set_max_mem | ( |  | ) |

inline

Definition at line 365 of file profiler_trace.h.

## __set_max_stack_trace_depth()

void __gnu_profile::__set_max_stack_trace_depth | ( |  | ) |

inline

Definition at line 357 of file profiler_trace.h.

## __set_max_warn_count()

void __gnu_profile::__set_max_warn_count | ( |  | ) |

inline

Definition at line 503 of file profiler_trace.h.

## __set_trace_path()

void __gnu_profile::__set_trace_path | ( |  | ) |

inline

Definition at line 491 of file profiler_trace.h.

## __size()

std::size_t __gnu_profile::__size | ( | __stack_t | __stack | ) |

inline

Definition at line 72 of file profiler_node.h.

## __stack_max_depth()

std::size_t __gnu_profile::__stack_max_depth | ( |  | ) |

inline

Definition at line 181 of file profiler_trace.h.

## __top_n()

template<typename _Container >

void __gnu_profile::__top_n | ( | const _Container & | __input,
|  | _Container & | __output,
|  | typename _Container::size_type | __n
| ) |  |

Definition at line 72 of file profiler_algos.h.

## __trace_hash_func_construct()

__hashfunc_info * __gnu_profile::__trace_hash_func_construct | ( |  | ) |

inline

Definition at line 131 of file profiler_hash_func.h.

## __trace_hash_func_destruct()

void __gnu_profile::__trace_hash_func_destruct | ( | __hashfunc_info * | __obj_info,
|  | std::size_t | __chain,
|  | std::size_t | __accesses,
|  | std::size_t | __hops
| ) |  |

inline

Definition at line 144 of file profiler_hash_func.h.

## __trace_hash_func_free()

void __gnu_profile::__trace_hash_func_free | ( |  | ) |

inline

Definition at line 123 of file profiler_hash_func.h.

## __trace_hash_func_init()

void __gnu_profile::__trace_hash_func_init | ( |  | ) |

inline

Definition at line 119 of file profiler_hash_func.h.

## __trace_hash_func_report()

void __gnu_profile::__trace_hash_func_report | ( | FILE * | __f,
|  | __warning_vector_t & | __warnings
| ) |  |

inline

Definition at line 127 of file profiler_hash_func.h.

## __trace_hashtable_size_construct()

__container_size_info * __gnu_profile::__trace_hashtable_size_construct | ( | std::size_t | __num | ) |

inline

Definition at line 64 of file profiler_hashtable_size.h.

## __trace_hashtable_size_destruct()

void __gnu_profile::__trace_hashtable_size_destruct | ( | __container_size_info * | __obj_info,
|  | std::size_t | __num,
|  | std::size_t | __inum
| ) |  |

inline

Definition at line 88 of file profiler_hashtable_size.h.

## __trace_hashtable_size_free()

void __gnu_profile::__trace_hashtable_size_free | ( |  | ) |

inline

Definition at line 56 of file profiler_hashtable_size.h.

## __trace_hashtable_size_init()

void __gnu_profile::__trace_hashtable_size_init | ( |  | ) |

inline

Definition at line 52 of file profiler_hashtable_size.h.

## __trace_hashtable_size_report()

void __gnu_profile::__trace_hashtable_size_report | ( | FILE * | __f,
|  | __warning_vector_t & | __warnings
| ) |  |

inline

Definition at line 60 of file profiler_hashtable_size.h.

## __trace_hashtable_size_resize()

void __gnu_profile::__trace_hashtable_size_resize | ( | __container_size_info * | __obj_info,
|  | std::size_t | __from,
|  | std::size_t | __to
| ) |  |

inline

Definition at line 78 of file profiler_hashtable_size.h.

## __trace_list_to_slist_construct()

__list2slist_info * __gnu_profile::__trace_list_to_slist_construct | ( |  | ) |

inline

Definition at line 128 of file profiler_list_to_slist.h.

## __trace_list_to_slist_destruct()

void __gnu_profile::__trace_list_to_slist_destruct | ( | __list2slist_info * | __obj_info | ) |

inline

Definition at line 159 of file profiler_list_to_slist.h.

## __trace_list_to_slist_free()

void __gnu_profile::__trace_list_to_slist_free | ( |  | ) |

inline

Definition at line 120 of file profiler_list_to_slist.h.

## __trace_list_to_slist_init()

void __gnu_profile::__trace_list_to_slist_init | ( |  | ) |

inline

Definition at line 116 of file profiler_list_to_slist.h.

## __trace_list_to_slist_operation()

void __gnu_profile::__trace_list_to_slist_operation | ( | __list2slist_info * | __obj_info | ) |

inline

Definition at line 150 of file profiler_list_to_slist.h.

## __trace_list_to_slist_report()

void __gnu_profile::__trace_list_to_slist_report | ( | FILE * | __f,
|  | __warning_vector_t & | __warnings
| ) |  |

inline

Definition at line 124 of file profiler_list_to_slist.h.

## __trace_list_to_slist_rewind()

void __gnu_profile::__trace_list_to_slist_rewind | ( | __list2slist_info * | __obj_info | ) |

inline

Definition at line 141 of file profiler_list_to_slist.h.

## __trace_list_to_vector_construct()

__list2vector_info * __gnu_profile::__trace_list_to_vector_construct | ( |  | ) |

inline

Definition at line 198 of file profiler_list_to_vector.h.

## __trace_list_to_vector_destruct()

void __gnu_profile::__trace_list_to_vector_destruct | ( | __list2vector_info * | __obj_info | ) |

inline

Definition at line 252 of file profiler_list_to_vector.h.

## __trace_list_to_vector_free()

void __gnu_profile::__trace_list_to_vector_free | ( |  | ) |

inline

Definition at line 190 of file profiler_list_to_vector.h.

## __trace_list_to_vector_init()

void __gnu_profile::__trace_list_to_vector_init | ( |  | ) |

inline

Definition at line 186 of file profiler_list_to_vector.h.

## __trace_list_to_vector_insert()

void __gnu_profile::__trace_list_to_vector_insert | ( | __list2vector_info * | __obj_info,
|  | std::size_t | __shift,
|  | std::size_t | __size
| ) |  |

inline

Definition at line 212 of file profiler_list_to_vector.h.

## __trace_list_to_vector_invalid_operator()

void __gnu_profile::__trace_list_to_vector_invalid_operator | ( | __list2vector_info * | __obj_info | ) |

inline

Definition at line 233 of file profiler_list_to_vector.h.

## __trace_list_to_vector_iterate()

void __gnu_profile::__trace_list_to_vector_iterate | ( | __list2vector_info * | __obj_info,
|  | int |
| ) |  |

inline

Definition at line 222 of file profiler_list_to_vector.h.

## __trace_list_to_vector_report()

void __gnu_profile::__trace_list_to_vector_report | ( | FILE * | __f,
|  | __warning_vector_t & | __warnings
| ) |  |

inline

Definition at line 194 of file profiler_list_to_vector.h.

## __trace_list_to_vector_resize()

void __gnu_profile::__trace_list_to_vector_resize | ( | __list2vector_info * | __obj_info,
|  | std::size_t | __from,
|  | std::size_t | __to
| ) |  |

inline

Definition at line 242 of file profiler_list_to_vector.h.

## __trace_map_to_unordered_map_construct()

__map2umap_info * __gnu_profile::__trace_map_to_unordered_map_construct | ( |  | ) |

inline

Definition at line 204 of file profiler_map_to_unordered_map.h.

## __trace_map_to_unordered_map_destruct()

void __gnu_profile::__trace_map_to_unordered_map_destruct | ( | __map2umap_info * | __info | ) |

inline

Definition at line 267 of file profiler_map_to_unordered_map.h.

## __trace_map_to_unordered_map_erase()

void __gnu_profile::__trace_map_to_unordered_map_erase | ( | __map2umap_info * | __info,
|  | std::size_t | __size,
|  | std::size_t | __count
| ) |  |

inline

Definition at line 227 of file profiler_map_to_unordered_map.h.

## __trace_map_to_unordered_map_find()

void __gnu_profile::__trace_map_to_unordered_map_find | ( | __map2umap_info * | __info,
|  | std::size_t | __size
| ) |  |

inline

Definition at line 237 of file profiler_map_to_unordered_map.h.

## __trace_map_to_unordered_map_free()

void __gnu_profile::__trace_map_to_unordered_map_free | ( |  | ) |

inline

Definition at line 195 of file profiler_map_to_unordered_map.h.

## __trace_map_to_unordered_map_init()

void __gnu_profile::__trace_map_to_unordered_map_init | ( |  | ) |

inline

Definition at line 191 of file profiler_map_to_unordered_map.h.

## __trace_map_to_unordered_map_insert()

void __gnu_profile::__trace_map_to_unordered_map_insert | ( | __map2umap_info * | __info,
|  | std::size_t | __size,
|  | std::size_t | __count
| ) |  |

inline

Definition at line 217 of file profiler_map_to_unordered_map.h.

## __trace_map_to_unordered_map_invalidate()

void __gnu_profile::__trace_map_to_unordered_map_invalidate | ( | __map2umap_info * | __info | ) |

inline

Definition at line 258 of file profiler_map_to_unordered_map.h.

## __trace_map_to_unordered_map_iterate()

void __gnu_profile::__trace_map_to_unordered_map_iterate | ( | __map2umap_info * | __info,
|  | int |
| ) |  |

inline

Definition at line 247 of file profiler_map_to_unordered_map.h.

## __trace_map_to_unordered_map_report()

void __gnu_profile::__trace_map_to_unordered_map_report | ( | FILE * | __f,
|  | __warning_vector_t & | __warnings
| ) |  |

inline

Definition at line 199 of file profiler_map_to_unordered_map.h.

## __trace_report()

template<typename __object_info , typename __stack_info >

void __gnu_profile::__trace_report | ( | __trace_base< __object_info, __stack_info > * | __cont,
|  | FILE * | __f,
|  | __warning_vector_t & | __warnings
| ) |  |

inline

Definition at line 324 of file profiler_trace.h.

## __trace_vector_size_construct()

__container_size_info * __gnu_profile::__trace_vector_size_construct | ( | std::size_t | __num | ) |

inline

Definition at line 64 of file profiler_vector_size.h.

## __trace_vector_size_destruct()

void __gnu_profile::__trace_vector_size_destruct | ( | __container_size_info * | __obj_info,
|  | std::size_t | __num,
|  | std::size_t | __inum
| ) |  |

inline

Definition at line 88 of file profiler_vector_size.h.

## __trace_vector_size_free()

void __gnu_profile::__trace_vector_size_free | ( |  | ) |

inline

Definition at line 56 of file profiler_vector_size.h.

## __trace_vector_size_init()

void __gnu_profile::__trace_vector_size_init | ( |  | ) |

inline

Definition at line 52 of file profiler_vector_size.h.

## __trace_vector_size_report()

void __gnu_profile::__trace_vector_size_report | ( | FILE * | __f,
|  | __warning_vector_t & | __warnings
| ) |  |

inline

Definition at line 60 of file profiler_vector_size.h.

## __trace_vector_size_resize()

void __gnu_profile::__trace_vector_size_resize | ( | __container_size_info * | __obj_info,
|  | std::size_t | __from,
|  | std::size_t | __to
| ) |  |

inline

Definition at line 78 of file profiler_vector_size.h.

## __trace_vector_to_list_construct()

__vector2list_info * __gnu_profile::__trace_vector_to_list_construct | ( |  | ) |

inline

Definition at line 197 of file profiler_vector_to_list.h.

## __trace_vector_to_list_destruct()

void __gnu_profile::__trace_vector_to_list_destruct | ( | __vector2list_info * | __obj_info | ) |

inline

Definition at line 252 of file profiler_vector_to_list.h.

## __trace_vector_to_list_free()

void __gnu_profile::__trace_vector_to_list_free | ( |  | ) |

inline

Definition at line 189 of file profiler_vector_to_list.h.

## __trace_vector_to_list_init()

void __gnu_profile::__trace_vector_to_list_init | ( |  | ) |

inline

Definition at line 185 of file profiler_vector_to_list.h.

## __trace_vector_to_list_insert()

void __gnu_profile::__trace_vector_to_list_insert | ( | __vector2list_info * | __obj_info,
|  | std::size_t | __pos,
|  | std::size_t | __num
| ) |  |

inline

Definition at line 211 of file profiler_vector_to_list.h.

## __trace_vector_to_list_invalid_operator()

void __gnu_profile::__trace_vector_to_list_invalid_operator | ( | __vector2list_info * | __obj_info | ) |

inline

Definition at line 232 of file profiler_vector_to_list.h.

## __trace_vector_to_list_iterate()

void __gnu_profile::__trace_vector_to_list_iterate | ( | __vector2list_info * | __obj_info,
|  | int |
| ) |  |

inline

Definition at line 222 of file profiler_vector_to_list.h.

## __trace_vector_to_list_report()

void __gnu_profile::__trace_vector_to_list_report | ( | FILE * | __f,
|  | __warning_vector_t & | __warnings
| ) |  |

inline

Definition at line 193 of file profiler_vector_to_list.h.

## __trace_vector_to_list_resize()

void __gnu_profile::__trace_vector_to_list_resize | ( | __vector2list_info * | __obj_info,
|  | std::size_t | __from,
|  | std::size_t | __to
| ) |  |

inline

Definition at line 241 of file profiler_vector_to_list.h.

## __turn()

bool __gnu_profile::__turn | ( | __state_type | __s | ) |

inline

Definition at line 40 of file profiler_state.h.

## __turn_off()

bool __gnu_profile::__turn_off | ( |  | ) |

inline

Definition at line 53 of file profiler_state.h.

## __turn_on()

bool __gnu_profile::__turn_on | ( |  | ) |

inline

Definition at line 49 of file profiler_state.h.

## __write()

void __gnu_profile::__write | ( | FILE * | __f,
|  | __stack_t | __stack
| ) |  |

inline

Definition at line 82 of file profiler_node.h.

## __write_cost_factors()

void __gnu_profile::__write_cost_factors | ( |  | ) |

inline

Definition at line 560 of file profiler_trace.h.